#1
text = "Create a new string object from the given object."
sl = {}
for x in text:
    if x.isalpha() == True:
        a  = x.lower()
        pos = ord(a) - ord('a') + 1
        sl[a] = pos
for l in sl:
    print(f"{l}: {sl[l]}")

#2
spis = ["список", "со", "словами", "из", "задания", "данного", "пункта"]
word1 = "список"
word2 = "программа"

if word1 in spis:
    print(f"'{word1}' есть в списке!")
else:
    print(f"'{word1}' нет в списке!")

if word2 in spis:
    print(f"'{word2}' есть в списке!")
else:
    print(f"'{word2}' нет в списке!")

#3
studentsSum = ["Зеленкина", "Криви", "Капитонов", "Хатюхин"]
gradesSum = [4.5, 3.8, 4.2, 4.9]
studentsWin = ["Криви", "Хатюхин", "Зеленкина", "Капитонов"]
gradesWin = [4.1, 4.7, 4.3, 4.0]
print(f"Список студентов: {studentsSum}")
surname = input("Введите фамилию студента из списка: ")
if surname in studentsSum:
    inds = studentsSum.index(surname)
    gs = gradesSum[inds]
    print(f"Летняя сессия: {gs}")
else:
    print("Такой студент не найден")

if surname in studentsWin:
    indw = studentsWin.index(surname)
    gw = gradesWin[indw]
    print(f"Зимняя сессия: {gw}")
else:
    print("Такой студент не найден")

